- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Functions
libabw_internal.h File Reference

Go to the source code of this file.

## Namespaces
| libabw

## Macros
#define | DELETEP(m) if (m) { delete m; m = 0; }
#define | ABW_DEBUG_MSG(M)
#define | ABW_NUM_ELEMENTS(array) sizeof(array)/sizeof(array[0])

## Functions
void | libabw::debugPrint (const char *const format,...)

## Macro Definition Documentation

#define ABW_DEBUG_MSG | ( |  | M | ) |

Referenced by libabw::ABWContentCollector::_handleListChange(), libabw::ABWParser::processXmlNode(), libabw::ABWParser::readD(), libabw::ABWParser::readHistory(), libabw::ABWParser::readIgnoredWords(), and libabw::ABWParser::readRevisions().

#define ABW_NUM_ELEMENTS | ( |  | array | ) | sizeof(array)/sizeof(array[0])

Referenced by libabw::ABWContentCollector::_setMetadata().

#define DELETEP | ( |  | m | ) | if (m) { delete m; m = 0; }

Referenced by libabw::ABWContentCollector::~ABWContentCollector(), and libabw::ABWStylesCollector::~ABWStylesCollector().